Permanently deletes a [Pub/Sub
notification configuration](https://docs.cloud.google.com/storage/docs/pubsub-notifications) from a bucket.

## Required permissions

The authenticated user must have the `storage.buckets.update` IAM
permission to use this method.

## Request

### HTTP request

```
DELETE https://storage.googleapis.com/storage/v1/b/bucket/notificationConfigs/notification
```

In addition to [standard query parameters](https://docs.cloud.google.com/storage/docs/json_api/v1/parameters.md.txt#query),
the following query parameters apply to this method.

To see an example of how to include query parameters in a request, see the
[JSON API Overview](https://docs.cloud.google.com/storage/docs/json_api.md.txt#query_parameters) page.

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `bucket` | `string` | The parent bucket of the notification. |
| `notification` | `string` | ID of the notification to delete. |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an empty response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.